package com.huiju.alicloud.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

import java.util.List;

@Data
@ConfigurationProperties(prefix = "ali")
public class AliConfig {
    private String accessKeyId;
    private String accessKeySecret;
    private OSS oss;

    @Data
    public static class OSS {
        private List<Bucket> buckets;

        @Data
        public static class Bucket {
            String endpoint;
            String name;
            String url;
        }
    }
}
